package com.tmax.openframe.file;

import org.mapstruct.*;
import org.mapstruct.factory.*;
import lombok.*;
import java.math.*;
import java.util.*;
import ch.obermuhlner.math.big.BigDecimalMath;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
@Mapper()
public interface COBTEST5_COBTEST5_FD_IN_F_DoToCOBTEST5_EMDAIYCMapper {
    COBTEST5_COBTEST5_FD_IN_F_DoToCOBTEST5_EMDAIYCMapper INSTANCE = Mappers
            .getMapper(COBTEST5_COBTEST5_FD_IN_F_DoToCOBTEST5_EMDAIYCMapper.class);

    @Mapping(source = "DL_KEY.DL_CONT_NO", target = "DL_CONT_NO")
    @Mapping(source = "DL_KEY.DL_IITEM", target = "DL_IITEM")
    @Mapping(source = "DL_KEY.DL_IITEM_GB", target = "DL_IITEM_GB")
    @Mapping(source = "DL_LCYM", target = "DL_LCYM")
    @Mapping(source = "DL_LPMT", target = "DL_LPMT")
    COBTEST5_EMDAIYC toCOBTEST5_EMDAIYC(COBTEST5_COBTEST5_FD_IN_F_Do source);

    @Mapping(source = "DL_CONT_NO", target = "DL_KEY.DL_CONT_NO")
    @Mapping(source = "DL_IITEM", target = "DL_KEY.DL_IITEM")
    @Mapping(source = "DL_IITEM_GB", target = "DL_KEY.DL_IITEM_GB")
    @Mapping(source = "DL_LCYM", target = "DL_LCYM")
    @Mapping(source = "DL_LPMT", target = "DL_LPMT")
    COBTEST5_COBTEST5_FD_IN_F_Do toCOBTEST5_COBTEST5_FD_IN_F_Do(
            COBTEST5_EMDAIYC source);
}
